Agents
Create Agent Share Link
Create a new share link for an agent
Create a new share link for an agent
X-API-Key<token>
Use X-API-Key: .
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/agents/string/share-links" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"agentId": "string",
"createdAt": "string",
"deletedAt": null,
"id": "string",
"name": "string",
"token": "string",
"updatedAt": "string"
}{
"cause": {
"code": "api/invalid-json",
"detail": "string"
},
"message": "The request body is not valid JSON"
}{
"cause": {
"code": "auth/jwt-invalid",
"detail": "malformed"
},
"message": "Token verification failed"
}{
"cause": {
"code": "api/no-active-team",
"detail": "You must have an active team. Please select a team to continue."
},
"message": "No active team"
}{
"cause": {
"code": "api/unsupported-media-type",
"detail": "GET requests cannot have a content type header"
},
"message": "Unsupported Media Type"
}